set printback on mprint on.

*macros_reduce_string_length_one.sps.

DEFINE !ReformatString (variable=!TOKENS(1))
COMPUTE lenvariable = LENGTH(RTRIM(!variable)).
COMPUTE tempconstant = 1. 
AGGREGATE /BREAK=tempconstant
 /maxlenvariable = MAX(lenvariable).
DO IF ($casenum = 1).
WRITE OUTFILE = 'c:\temp\temp1.sps' 
  / "STRING newvariable (A"maxlenvariable(N5)").".
WRITE OUTFILE = 'c:\temp\temp2.sps' 
  / "VARIABLE WIDTH " !quote(!variable) "("maxlenvariable(N5)").". 
END IF. 
EXECUTE.
INSERT FILE= 'c:\temp\temp1.sps'.
COMPUTE newvariable = !variable.
EXECUTE.
APPLY DICTIONARY FROM=* 
  /SOURCE VARIABLES=!variable 
  /TARGET VARIABLES= newvariable.
DELETE VARIABLES 
  tempconstant !variable lenvariable maxlenvariable.
RENAME VARIABLES 
  (newvariable = !variable).
INSERT FILE= 'c:\temp\temp2.sps'.
!ENDDEFINE.

DATA LIST FREE /string1 (A30) string2 (A30) string3(A30) .
BEGIN DATA
a ab abcdefghijklmnopqrstuvwxyz
a abcde ab 
a abcdefgh a
END DATA.
VARIABLE LABELS string1 "String One" /string2 "String Two" /string3 "String Three".

!ReformatString variable=string1 .
