set printback on mprint on.

*macros_reduce_string_length.sps.

DEFINE !ReformatString (variables=!CMDEND)
COMPUTE tempconstant = 1. 

!DO !var !IN (!variables)
COMPUTE !CONCAT(len,!var) = LENGTH(RTRIM(!var)).
!DOEND

AGGREGATE /BREAK=tempconstant
!DO !var !IN (!variables)
 /!CONCAT(maxlen,!var) = MAX(!CONCAT(len,!var))
!DOEND .

DO IF ($casenum = 1).
WRITE OUTFILE = 'c:\temp\temp1.sps' / "STRING"
!DO !var !IN (!variables)
  / " " !QUOTE(!CONCAT(new,!var)) "(A"!CONCAT(maxlen,!var)(N5)")"
!DOEND "." .
WRITE OUTFILE = 'c:\temp\temp2.sps' / "VARIABLE WIDTH"
!DO !var !IN (!variables)
  / " /" !QUOTE(!var) "("!CONCAT(maxlen,!var)(N5)")"
!DOEND "." .
END IF. 
EXECUTE.

INSERT FILE= 'c:\temp\temp1.sps'.

!DO !var !IN (!variables)
COMPUTE !CONCAT(new,!var)  = !var.
!DOEND
EXECUTE.
!DO !var !IN (!variables)
APPLY DICTIONARY FROM=* 
  /SOURCE VARIABLES=!var 
  /TARGET VARIABLES= !CONCAT(new,!var).
!DOEND 
DELETE VARIABLES 
  tempconstant
!DO !var !IN (!variables)
  !var !CONCAT(len,!var) !CONCAT(maxlen,!var)
!DOEND .
RENAME VARIABLES 
!DO !var !IN (!variables)
  (!CONCAT(new,!var)=!var)
!DOEND .
INSERT FILE= 'c:\temp\temp2.sps'.

!ENDDEFINE.

DATA LIST FREE /string1 (A30) string2 (A30) string3(A30) .
BEGIN DATA
a ab abcdefghijklmnopqrstuvwxyz
a abcde ab 
a abcdefgh a
END DATA.
VARIABLE LABELS string1 "String One" /string2 "String Two" /string3 "String Three".

!ReformatString variables=string1 string2 string3.
