*python_dataset_modify_cases_re.sps.
DATA LIST/phone (A20).
BEGIN DATA
(312) 555-1212
3125551212
312-555-1212

13125551212
1 312 555 1212
END DATA.
BEGIN PROGRAM.
from __future__ import with_statement
import spss, re
phoneRegex = re.compile(r'[1]?(\d{3})\D*(\d{3})\D*(\d{4})')
with spss.DataStep():
   ds = spss.Dataset()
   for i in range(len(ds.cases)):
      match = phoneRegex.search(ds.cases[i][0])
      if match:
         ds.cases[i,0] = "".join(match.groups()).ljust(ds.varlist[0].type)
END PROGRAM.
